Package com.tableau.hyperapi

# Enum Class CreateMode

java.lang.Object
java.lang.Enum<CreateMode>
com.tableau.hyperapi.CreateMode

All Implemented Interfaces:
  `Serializable`, `Comparable<CreateMode>`, `Constable`

public enum CreateMode extends Enum<CreateMode>
Database creation behavior during connection establishing.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CREATE`
  Create the database.
  `CREATE_AND_REPLACE`
  Create and replace the database.
  `CREATE_IF_NOT_EXISTS`
  Create the database if it doesn't exist.
  `NONE`
  Do not create the database.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CreateMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CreateMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final CreateMode NONE
    Do not create the database. Method will fail if database doesn't exist.

  - ### CREATE

    public static final CreateMode CREATE
    Create the database. Method will fail if the database already exists.

  - ### CREATE_IF_NOT_EXISTS

    public static final CreateMode CREATE_IF_NOT_EXISTS
    Create the database if it doesn't exist. Method will not fail if the database already exists.

  - ### CREATE_AND_REPLACE

    public static final CreateMode CREATE_AND_REPLACE
    Create and replace the database. Method will replace the database if it already exists.

- ## Method Details

  - ### values

    public static CreateMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CreateMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null